<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <h2>Javascript Demo</h2>
    <p id="container">0</p>
    <script>
        counter = 1;
        function myFunction() {
            document.getElementById("container").innerHTML = "Counter: " + counter++;
        }
    </script>
    <button onclick="myFunction()">Click me</button>
</body>
</html>